From Friday, April 19th (11:00 PM CDT) through Saturday, April 20th (2:00 PM CDT), 2024, ni.com will undergo system upgrades that may result in temporary service interruption.

We appreciate your patience as we improve our online experience.

LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Update of Labview

Solved!
Go to solution

Hello,

 

I do not know if I am posting correctly but I will try.

 

I have been using Labview for one year and the most difficulties that I had, it was always with installation and update of Labview. I have few wishes about better work with this from my point of view.

 

1) As Labview have many modules etc. And serials for each separately module or one for all. I think it would be more easy and interesting that I put DVD/CD then I put my serial and installation program shows me what I can install or for what kind of modules my license is valid. As I was beginner I did not know what is for what and what I can install for my license.

 

2) Why there is not proper update of Labview? Something which shows me that new software is release or something? And then installation automatic..I am still trying to install SP1 for Labview 2009 but there is still any problem:/ I wanted to install new drivers for my cRIO system but it shows that something still is missing and I do not know how I can find the rest...A NI UPDATE SERVICE never found anything.

 

3) Removing of the software is not nice neither. Many things are connecting to each other and some I do not know why..For example I have cRIO drivers 3.3.0 and I installed drivers 3.5.1 but as system showed me that I cannot use it because something is missing and I decided to deinstall. Fortunately the new drivers were linked with the old one and I had to deinstall all...and after again install the old one.

 

It is few things which really annoying me with Labview but I think it should be much easier...

 

Regards,

Nemesis 

0 Kudos
Message 1 of 10
(3,575 Views)

Hello Nemesis,

 

Thank you for your input to make LabVIEW more customer-friendly and letting us know your remarks. Normally when you buy your licenses, it should be documented which modules they support. So you can fill in the serial number at the corresponding module and then it should work fine. For the update notifications, make sure that the Update Sevice isn't disabled. It can also be dependent from your operating system, you can find more information at the following link: http://digital.ni.com/public.nsf/allkb/37C460BD8962FDF2862577740072F1A3?OpenDocument (see also the related links below)

Further, I've read in your post that you're using LabVIEW 2009. I've looked up the compability between LV 2009 and RIO - driver and 3.3.0 is the corresponding one. However, 3.5.1 is backwards compatible, so it should work also. If you want to go to 3.5.1, can you give me more information about the exact error you were receiving? Then I can look it up in our database.

 

Kind regards,

 

Nico Lammens

NI Belgium

Applications Engineering

 

 

 

 

0 Kudos
Message 2 of 10
(3,510 Views)

Thank you for response. I deinstalled the version 3.5.1 and I am trying the version 3.4.0 but with the same result. I can install only minimum version and Max shows me that I have old version of some components:

 

Network Variable Engine 1.6.1 (older version available on host)
NI Scan Engine 1.1.1 (older version available on host)
Modbus I/O Server 1.6.1 (older version available on host)
Run-Time Engine for Web Services 2.0.1 (older version available on host)
NVE Core 1.6.1 (older version available on host)
EPICS Server I/O Server 1.6.1 (older version available on host)
Variable Client Support for LabVIEW RT 1.6.1 (older version available on host)
NVE Serial Subsystem 1.6.1 (older version available on host)
SSL Support for LabVIEW RT 2.0.1 (older version available on host)

 

But I do not know where to find them. I installed LV 2009 SP1 and Real-Time 2009 SP1.

0 Kudos
Message 3 of 10
(3,501 Views)

Hello Nemesis,

 

I've been looking on the driver issue in our database and I've found the following links:
http://forums.ni.com/t5/NI-Applications-Engineers/Couldn-t-install-NI-RIO-3-4-with-NI-Scan-Engine-su...

http://forums.ni.com/t5/LabVIEW/Problem-with-Variable-Client-Support/m-p/668564#M307483

 

Do you also have the FPGA module SP1 installed?  Please make sure that you have both the RT modules SP1 and the FPGA module SP1 installed and that NI-RIO 3.4.0 was installed afterwards. 

 

Kind regards,

 

Nico

 

 

0 Kudos
Message 4 of 10
(3,483 Views)

Thank you for answer. Yes, as I know I have all. Please look at the picture. It seems to be ok. As I said in my first post. I wish had a tool that tell me what I have to install in order my Labview works correctly. Like that I have to think and ask people what I suppose to install or what I need still. For me if I install new drivers let say cRIO 3.4 and if I do not have something it should tell me that you need this and this...and eventually download rest...

 

Regarding before posts. My update service worked correctly but never found anything. As my service was running of date I though that it have should be after one year something new but I did not receive any news or something that I could upgrade. I just received a DVD with new drivers I think November 2009 but it was by post and nothing new.

 

I like Labview very much it is really great software for automatics/mechanics/electronics and not only. Just I personally think that some things should be easier.

0 Kudos
Message 5 of 10
(3,461 Views)

Hello Nemesis,

 

You can format your cRIO to make sure that host and target have the same version of drivers. It is quickly done to format a real-time target.

You can find more information how to do this on the following link: http://digital.ni.com/public.nsf/allkb/6B1343F61905203386257051006573CA?OpenDocument

 

Kind regards,

 

Nico Lammens

NIBE Applications Engineering

 

0 Kudos
Message 6 of 10
(3,426 Views)

Hello,

 

I have just done it. The same results I cannot install drivers 3.4.0. Could you tell me where I can find missing software that I posted above?

0 Kudos
Message 7 of 10
(3,418 Views)

Hello Nemesis,

 

Can you create a technical support Report in MAX for your System and also for your cRIO ?

1. Open MAX --> File --> Create Report --> Select Technical Support --> Select "My System"

2. Open MAX --> File --> Create Report --> Select Technical Support --> Select cRIO

Can you attach both files ( in a zip file) please?

Then we can take a closer look at it.

 

Kind regards,

 

Nico Lammens

NIBE Applications Engineering

0 Kudos
Message 8 of 10
(3,380 Views)
Solution
Accepted by topic author Nemesis

Hello,

 

As I could not make it run then I decided to reinstall Windows with Labview. And finally after couple of hours installation I got a good result. Something was not good installed. Max shows that I have all but it could not install cRIO drivers. Finally I managed to install cRIO drivers 3.5.1.

 

Thank you for help and attention.  

0 Kudos
Message 9 of 10
(3,347 Views)

Hi Nemesis,

 

I'm glad to hear that everything is fine now.

 

Kind regards,

 

Nico

0 Kudos
Message 10 of 10
(3,315 Views)